Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class StringManagerFactory

`java.lang.Object
oracle.jbo.common.StringManagerFactory`

public class StringManagerFactory
extends java.lang.Object

The factory for creating `StringManager` instances.

This class is used by the framework to create an instance when the client attempts to establish a connection to the database. Applications may provide custom `StringManager` implementations. Such applications will need to subclass this class and `StringManagerImpl`.

The framework calls the ``getFactory()`` method to get the currently installed factory, and calls its `create()` method to establish a connection.

This class has a single active instance, which cannot be replaced.

Since:
  JDevloper 3.0
See Also:
  `StringManager`, `StringManagerImpl`, `StringManagerImpl`

Constructor Summary
`protected` | `StringManagerFactory()`

Method Summary
`StringManager` | `create()` Instantiates a StringManager object.
`static StringManagerFactory` | `getFactory()` Returns the installed factory using setFactory().
`static void` | `setFactory(StringManagerFactory impl)` Establishes the custom factory instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringManagerFactory

    protected StringManagerFactory()

Method Detail

### setFactory

    public static void setFactory(StringManagerFactory impl)
                           throws java.lang.IllegalArgumentException

  Establishes the custom factory instance. The substitution can only be done once before the getFactory() method is called.
  Parameters:
    `impl` - The subclassed factory implementation to be used
  Throws:
    `java.lang.IllegalArgumentException` - if the instance is already created
  See Also:
    `getFactory()`

### getFactory

    public static StringManagerFactory getFactory()

  Returns the installed factory using setFactory(). If no factory is installed creates and sets the default instance.
  Returns:
    StringManagerFactory singleton

### create

    public StringManager create()

  Instantiates a StringManager object.
  Returns:
    The newly created StringManager instance.
  See Also:
    `StringManager.StringManager()`, `Transaction.connect(String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.